const api = require('../../utils/api.js');
const app = getApp(),
  {
    globalData: {
      util: {
        regeneratorRuntime,
        goLogin,
        navigate_auth_native,
        getUserInfo
      }
    }
  } = app;
Page({
  onLoad() {
    this.setData({
      // topList: [
      //   {
      //     title: '系统消息',
      //     icon: 'systemMsg',
      //     url: 'message/index',
      //   },
      //   {
      //     title: '用户信息',
      //     icon: 'material',
      //     url: 'myInfo/index',
      //   },
      //   {
      //     title: '一键定位',
      //     icon: 'nav',
      //     url: 'localtion/index',
      //   }
      // ],
      list: [
        {
          title: '个人信息',
          icon: 'user-icon',
          url: '../student/user/user',

        },
        // {
        //   title: '我的预约',
        //   icon: 'yuyue',
        //   url: 'reservation/index',

        // },
        // {
        //   title: '我的排队',
        //   icon: 'paidui',
        //   url: '',
        // },
        // {
        //   title: '我的材料',
        //   icon: 'cailiao',
        //   url: 'myData/myData',

        // },
        // {
        //   title: '我的收藏',
        //   icon: 'shoucang',
        //   url: 'myCollect/index',

        // },
        // {
        //   title: '我的评价',
        //   icon: 'assess',
        //   url: 'assess/assess',

        // },
        // {
        //   title: '我的咨询',
        //   icon: 'zixun',
        //   url: 'advisory/advisory',
        // },
        // {
        //   title: '我的投诉',
        //   icon: 'tousu',
        //   url: 'complaint/complaint',
        // },
        {
          title: '我的设置',
          icon: 'shezhi',
          url: 'setting/index',
        }
      ]

    })
  },
  async onShow() {
    let userInfo = wx.getStorageSync('userInfo')
    if (!userInfo){
      let { viewName = '', photo = '' } = await getUserInfo()
      this.setData({
        photo,
        viewName
      })
    }else{
      this.setData({
        photo: userInfo.avatarUrl,
        viewName: userInfo.nickName
      })
    }
  },
  navigate_auth:function(e){
    wx.navigateTo({
      url: e.currentTarget.dataset.url,
    })
  },
  updateimage:function(){
    let that=this
    wx.chooseImage({
      count:1,
      success: function(res) {
        wx.showLoading({
          title: '正在上传',
        })
        wx.uploadFile({
          url: api.updateimage,
          filePath: res.tempFilePaths[0],
          header: { 'content-type': 'application/x-www-form-urlencoded;charset=utf-8', },
          name: 'file',
          formData: {
            'fileType': 'image',
            'loginId': wx.getStorageSync('loginId')
          },
          success(res) {
            wx.hideLoading()
            console.log(res)
            if (JSON.parse(res.data).status == true) {
              let user = wx.getStorageSync('userInfo')
              user.avatarUrl = api.total.split('.if')[0] + JSON.parse(res.data).headImage
              wx.setStorageSync('userInfo', user)
              that.setData({
                photo: user.avatarUrl
              })
              wx.showToast({
                title: '修改成功',
                icon:'none'
              })
            }
          }
        })
      },
    })
  },
  goLogin,
  // navigate_auth_native
})